local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)

aom_combat = {}
aom_combat.has_aom_tcraft = minetest.get_modpath("aom_tcraft") ~= nil

dofile(mod_path .. "/scripts" .. "/projectile.lua")
dofile(mod_path .. "/scripts" .. "/throwable.lua")
dofile(mod_path .. "/scripts" .. "/cooldown.lua")
dofile(mod_path .. "/scripts" .. "/telegraph.lua")
dofile(mod_path .. "/scripts" .. "/explosions.lua")
dofile(mod_path .. "/scripts" .. "/attack.lua")
dofile(mod_path .. "/scripts" .. "/item_register.lua")

-- items
dofile(mod_path .. "/items" .. "/melee_weapons.lua")
